import { NetworkLayer, NetworkType } from '../types';
export declare function GetNetworkPort(NetworkLayer: NetworkLayer, NetworkType: NetworkType): number;
export declare function MakeHttpListenerPath(ipAddress: string, port: string, UseSSL?: boolean): string;
export declare function FindAvailableNode(url: string, NetworkType: NetworkType, Networklayer: NetworkLayer, isSsl?: boolean): Promise<string>;
export declare function GetRequest(url: string): Promise<string>;
export declare function PostRequest<T>(url: string, object: T): Promise<string>;
export declare function SeedPhraseList(): string[];
export declare function Bip39Keyword(Bip39WordIndexNo: number): string;
export declare function Bip39KeywordDoesExist(keyword: string, indexNo?: number): Boolean;
export declare function MergeRawDataWithCommonDelimeterChar(...args: any[]): string;
